#include<stdio.h>

#define N 50

void sume(int mat[][N],int m,int n,int p,int k);
void upis(int mat[][N], int m, int n);

int main()
{
	int m, n, p, k;
	int mat[N][N];

	scanf("%d %d", &m, &n);

	upis(mat, m, n);

	scanf("%d%d", &p, &k);

	if(p<=m && k<=n)
		sume(mat, m, n, p, k);
	else
		printf("-1\n");
}

void  upis(int mat[][N], int m, int n)
{
	int i, j;

	for(i=1;i<=m;i++)
		{
		for(j=1;j<=n;j++)
			scanf("%d", mat[i][j]);
		}
}
void sume(int mat[][N], int m, int n, int p, int k)
{
	int i=1, j=1, a=0, b=0, rez=0;

	while(a+k<=m)
		{					
		while(b+p<=n)
			{
			for(i=a;i<p;i++)
				for(j=b; j<k;j++)
					rez= rez + mat[i][j];
			printf("%d ", rez);
			b++;
			}
		a++;
		}
}

